develooper Front page | perl.perl5.porters | Postings from August 2018

[perl #133440] binaries mismatched again

Thread Previous
From:
slaven@rezic.de via RT
Date:
August 14, 2018 18:05
Subject:
[perl #133440] binaries mismatched again
Message ID:
rt-4.0.24-23877-1534269940-42.133440-15-0@perl.org
Dana Tue, 14 Aug 2018 01:42:09 -0700, davem reče:
> On Mon, Aug 13, 2018 at 11:56:26PM +0200, Leon Timmermans wrote:
> > I think most people avoid configurations where incompatible perl
> > builds share the same arch directories. Judging by your @INC my first
> > guess is that you're reusing your old perl's local::lib directories,
> > which would indeed blow up in your face.
> 
> From a quick perusal of local::lib's documentation, it appears that
> it doesn't use version-specific paths under the local directory, which
> on the face of it seems like a design flaw.

Interestingly, local::lib creates version-specific paths on first-time initialization. But I think the problem is that by using ExtUtils::MakeMaker's INSTALL_BASE no installation to version-specific paths happens, so the design flaw is probably there. (Did not check Module::Build's --install_base)


---
via perlbug:  queue: perl5 status: open
https://rt.perl.org/Ticket/Display.html?id=133440

Thread Previous


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About